// Licensed Materials - Property of IBM
// 5725-C94, 5725-C95, 5725-C96
// Copyright IBM Corporation 2013. All Rights Reserved.
// US Government Users Restricted Rights- Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.

dojo.provide("com.ibm.bpm.QuickStart.Consoles.impl.ProcessCenterConsole");
dojo.require("com.ibm.bpm.QuickStart.Consoles.impl.ConsoleAbstractClass");
dojo.require("com.ibm.bpm.QuickStart.Helpers.WCCMHelper");

dojo.declare("com.ibm.bpm.QuickStart.Consoles.impl.ProcessCenterConsole",
    [ com.ibm.bpm.QuickStart.Consoles.impl.ConsoleAbstractClass ], {
    nodeName:null,
    serverName:null,
    constructor: function(nodeName,serverName){
        this.setNodeName(nodeName);
        this.setServerName(serverName);
    },
    
    getName : function(){
        return this.name;
    },
    
    setName : function(name){
        if(this.name==null){
            this.name=name;
        }
    },
    getNodeName: function(){
        return this.nodeName;
    },
    setNodeName : function(nodeName){
        if(this.nodeName==null){
            this.nodeName = nodeName;
        }
    },
    setServerName: function(serverName){
    	if(this.serverName==null){
    		this.serverName=serverName;
    	}
    },
    getServerName: function(){
    	return this.serverName;
    },
    getHostName : function(){
        /*if(this.getDmgrProfileName()==null){
            return null;
        }*/
        var ServerIndexServerEntriesByServerName = com.ibm.bpm.QuickStart.Helpers.WCCMHelper.getServerIndexServerEntries(com.ibm.bpm.QuickStart.Helpers.LaunchpadHelper.getProfileName(),this.getNodeName(),this.getServerName()); 
        if(ServerIndexServerEntriesByServerName==null){
            return null;
        } 
        return com.ibm.bpm.QuickStart.Helpers.WCCMHelper.getHostName(ServerIndexServerEntriesByServerName);
    },

    getPort : function(){
        var ServerIndexServerEntriesByServerName = com.ibm.bpm.QuickStart.Helpers.WCCMHelper.getServerIndexServerEntries(com.ibm.bpm.QuickStart.Helpers.LaunchpadHelper.getProfileName(),this.getNodeName(),this.getServerName()); 
        if(ServerIndexServerEntriesByServerName==null){
            return null;
        } 
        return com.ibm.bpm.QuickStart.Helpers.WCCMHelper.getPort(ServerIndexServerEntriesByServerName);
    },
    getUrl : function(){
        return this.inherited(arguments)+"/ProcessCenter";
    }
});
    
